Package org.apache.cayenne.access.types

## Class VoidType

- java.lang.Object
- - org.apache.cayenne.access.types.VoidType

- All Implemented Interfaces:
    `ExtendedType<Void>`

      public class VoidType
      extends Object
      implements ExtendedType<Void>

  A noop type that is sometimes useful to suppress extended types operations. It will set and get null values.
  Since:
    1.2

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VoidType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClassName()` | Returns a full name of Java class that this ExtendedType supports.
    `Void` | `materializeObject​(CallableStatement rs, int index, int type)` | Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Void` | `materializeObject​(ResultSet rs, int index, int type)` | Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject​(PreparedStatement statement, Void value, int pos, int type, int precision)` | Initializes a single parameter of a PreparedStatement with object value.
    `String` | `toString​(Void value)` | Converts value of the supported type to a human-readable String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoidType

          public VoidType()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExtendedType`
      Returns a full name of Java class that this ExtendedType supports.
      Specified by:
        `getClassName` in interface `ExtendedType<Void>`

    - #### setJdbcObject

          public void setJdbcObject​(PreparedStatement statement,
                                    Void value,
                                    int pos,
                                    int type,
                                    int precision)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Void>`
      Throws:
        `Exception`

    - #### materializeObject

          public Void materializeObject​(ResultSet rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Void>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Void materializeObject​(CallableStatement rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Void>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### toString

          public String toString​(Void value)

      Description copied from interface: `ExtendedType`
      Converts value of the supported type to a human-readable String representation.
      Specified by:
        `toString` in interface `ExtendedType<Void>`
      Parameters:
        `value` - a value to convert to String.